unit Letters_viewer;

interface

uses
  GradForm, Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  IniFiles, MiscUtil, Printers, Menus, StdCtrls;

type
  TMainForm = class(TGradientForm)
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    Listofletters1: TMenuItem;
    N1: TMenuItem;
    Exit1: TMenuItem;
    About1: TMenuItem;
    Memo1: TMemo;
    PrintDialog1: TPrintDialog;
    PrintSelected1: TMenuItem;
    Additional1: TMenuItem;
    ClearScreen1: TMenuItem;
    FontDialog1: TFontDialog;
    SelectFont1: TMenuItem;
    Howtouse1: TMenuItem;
    N2: TMenuItem;
    About2: TMenuItem;
    procedure Exit1Click(Sender: TObject);
    procedure Listofletters1Click(Sender: TObject);
    procedure FormPaint(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure ClearScreen1Click(Sender: TObject);
    procedure PrintSelected1Click(Sender: TObject);
    procedure SelectFont1Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure About2Click(Sender: TObject);
    procedure Howtouse1Click(Sender: TObject);
  private
    Once: Boolean;
    IniFile: TIniFile;
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation

uses Make_choose, about95;

{$R *.DFM}

procedure TMainForm.Exit1Click(Sender: TObject);
begin
  ChooseForm.Hide;
  Close;
end;

procedure TMainForm.Listofletters1Click(Sender: TObject);
begin
   ChooseForm.BringToFront;
end;

procedure TMainForm.FormPaint(Sender: TObject);
begin
  if Once then
           ChooseForm.Visible := True;
  Once := False;
end;

procedure TMainForm.FormCreate(Sender: TObject);
begin
  Once := True;
  IniFile := TIniFile.Create(ExtractFilePath(ParamStr(0)) + 'viewer.ini');
  Memo1.Font := StrToFont(Inifile.ReadString('Options', 'Font', ''));
end;

procedure TMainForm.ClearScreen1Click(Sender: TObject);
begin
  Memo1.Lines.Clear;
end;

procedure TMainForm.PrintSelected1Click(Sender: TObject);
var PrintText: System.Text;
    i: Integer;
begin
  if PrintDialog1.Execute then
  begin
     AssignPrn(PrintText);
     Rewrite(PrintText);
     Printer.Canvas.Font := Memo1.Font;

     for i := 0 to Memo1.lines.Count - 1 do
                   Writeln(PrintText, Memo1.Lines.Strings[i]);

     System.Close(PrintText);
  end;
end;

procedure TMainForm.SelectFont1Click(Sender: TObject);
begin
  FontDialog1.Font := Memo1.Font;
  if FontDialog1.Execute then Memo1.Font := FontDialog1.Font;
end;

procedure TMainForm.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  IniFile.WriteString('Options', 'Font', FontToStr(Memo1.Font));
  IniFile.Free;
end;

procedure TMainForm.About2Click(Sender: TObject);
begin
  frmAbout.ShowModal;
end;

procedure TMainForm.Howtouse1Click(Sender: TObject);
begin
  Application.HelpFile := ExtractFilePath(ParamStr(0)) + 'viewer.HLP';
  Application.HelpCommand(HELP_FINDER, 0);
end;

end.
